"Module for the computation of Fibonacci series"

MAXFIBO=1000

def fibo(n):
    "Returns the Fibonacci series up to n"
    if n > MAXFIBO: return []
    result = []
    a, b = 0, 1
    while b < n:
        result.append(b)
        a, b = b, a+b
    return result

def fibo_print(n):
    "prints the Fibonacci series up to n"
    ser = fibo(n)
    print("Fibonacci series up to %d:" % n)
    print(ser)

if __name__=='__main__': 
    fibo_print(14)
