# Make STAR_DB json serializable

import numpy

def convert(stars):
    for star in stars:
        for ix, f in enumerate(star):
            if type(star[ix]) is numpy.float32:
                star[ix] = float(star[ix])
            elif type(star[ix]) is numpy.ma.core.MaskedConstant:
                star[ix] = 100.
            elif type(star[ix]) is bytes:
                star[ix] = star[ix].decode("ascii")
