import sys
from threading import Thread
import tkinter as tk

class Input(Thread):
    def __init__(self,wdg):
        Thread.__init__(self)
        self._wdg=wdg
        self.daemon=True

    def run(self):
        while True:
            l=sys.stdin.readline()
            self._wdg.text.insert(tk.END,l)

class MyWidget(tk.Frame):
    def __init__(self, root):
        tk.Frame.__init__(self, root)
        self.text=tk.Text(self)
        self.text.pack(side=tk.TOP)
        bottom=tk.Frame(self)
        bottom.pack(side=tk.TOP)
        b1=tk.Button(bottom, text="Clear", command=self.clear)
        b1.pack(side=tk.LEFT)
        b2=tk.Button(bottom, text="Quit", command=root.destroy)
        b2.pack(side=tk.LEFT)

    def clear(self):
        self.text.delete(1.0, tk.END)

root=tk.Tk()
root.title("TkInter example N. 2")
wdg=MyWidget(root)
wdg.pack()
inp=Input(wdg)
inp.start()
print("\nNow write some lines ...\n")
root.mainloop()
