from http.server import HTTPServer, BaseHTTPRequestHandler

HEAD = """<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head>
</head><body>
<h3>Python for Astronomy 2018</h3>
<h2>Simple Web Server</h2>""".encode("utf8")
FORM = """<form action=uso_form>
Write here <input type=text name=text>
and press <input type=submit value=Send>
</form>""".encode("utf8")

class MyHTTPRequestHandler(BaseHTTPRequestHandler):
    def do_GET(self):
        try:
            text=self.path.split("?")[1].split("=")[1]
        except:
            text=""
        self.send_response(200)
        self.send_header(b"Content-Type", "text/html")
        self.end_headers()
        self.wfile.write(HEAD)
        if text:
           msg = "You wrote: %s <p>"%text
           self.wfile.write(msg.encode("utf8"))
        self.wfile.write(FORM)

class WebServer(HTTPServer):
    def __init__(self):
        server_address = ('', 8888)
        HTTPServer.__init__(self, server_address, MyHTTPRequestHandler)

    def serve_forever(self):
        while True:
            self.handle_request()

server = WebServer()
server.serve_forever()
