from photutils import centroid_com, CircularAperture

def centroid(img, ctr):
   x0 = int(max(ctr[0]-ctr[2], 0))
   x1 = int(min(ctr[0]+ctr[2], img.shape[1]-1))
   y0 = int(max(ctr[1]-ctr[2], 0))
   y1 = int(min(ctr[1]+ctr[2], img.shape[0]-1))
   subimg = img[y0:y1, x0:x1]
   ctd = centroid_com(subimg)
   return (x0+ctd[0], y0+ctd[0])
